Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum Qt.CheckState

    java.lang.Object
      java.lang.Enum<Qt.CheckState>
          com.trolltech.qt.core.Qt.CheckState

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<Qt.CheckState>

Enclosing interface:
  Qt

    public static enum Qt.CheckState

extends java.lang.Enum<Qt.CheckState>
implements QtEnumerator

This enum describes the state of checkable items, controls, and widgets.

See Also:
  `QCheckBox`, `Qt::ItemFlags`, `Qt::ItemDataRole`

Enum Constant Summary
`Checked` The item is checked.
`PartiallyChecked` The item is partially checked.
`Unchecked` The item is unchecked.

Method Summary
`static Qt.CheckState` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.CheckState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Qt.CheckState[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Unchecked

    public static final Qt.CheckState Unchecked

  The item is unchecked.

### PartiallyChecked

    public static final Qt.CheckState PartiallyChecked

  The item is partially checked. Items in hierarchical models may be partially checked if some, but not all, of their children are checked.

### Checked

    public static final Qt.CheckState Checked

  The item is checked.

Method Detail

### values

    public static final Qt.CheckState[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Qt.CheckState c : Qt.CheckState.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Qt.CheckState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.CheckState resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD